Bug 1121219 - spacewalk-common-channels does not contains spacewalk22-* channels
Summary: spacewalk-common-channels does not contains spacewalk22-* channels
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Release
Version: 2.2
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-07-18 16:34 UTC by Fabiano Martins
Modified: 2015-04-14 19:04 UTC (History)
1 user (show)

Fixed In Version: spacewalk-utils-2.2.26-1 spacewalk-utils-2.3.35-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 19:04:07 UTC


Attachments (Terms of Use)

Description Fabiano Martins 2014-07-18 16:34:42 UTC
Description of problem:
spacewalk-common-channels does not contains spacewalk22-* channels definitions


Version-Release number of selected component (if applicable):
spacewalk-utils-2.2.25-1.el6.noarch


How reproducible:
simply run "spacewalk-common-channels -l" on Spacewalk host


Actual results:
show several common channels, but with respect to spacewalk server/client only have "20" and "21" versions:
 spacewalk20-client-centos5: i386, x86_64
 spacewalk20-client-centos6: i386, x86_64
 spacewalk20-client-fedora18: i386, x86_64
 spacewalk20-client-fedora19: i386, x86_64
 spacewalk20-client-oraclelinux5: i386, x86_64
 spacewalk20-client-oraclelinux6: i386, x86_64
 spacewalk20-client-scientific6: i386, x86_64
 spacewalk20-server-centos5: i386, x86_64
 spacewalk20-server-centos6: i386, x86_64
 spacewalk20-server-fedora18: i386, x86_64
 spacewalk20-server-fedora19: i386, x86_64
 spacewalk20-server-oraclelinux5: i386, x86_64
 spacewalk20-server-oraclelinux6: i386, x86_64
 spacewalk20-server-scientific6: i386, x86_64
 spacewalk21-client-centos5: i386, x86_64
 spacewalk21-client-centos6: i386, x86_64
 spacewalk21-client-fedora18: i386, x86_64
 spacewalk21-client-fedora19: i386, x86_64
 spacewalk21-client-fedora20: i386, x86_64
 spacewalk21-client-opensuse13_1: i586, x86_64
 spacewalk21-client-oraclelinux5: i386, x86_64
 spacewalk21-client-oraclelinux6: i386, x86_64
 spacewalk21-client-scientific6: i386, x86_64
 spacewalk21-server-centos5: i386, x86_64
 spacewalk21-server-centos6: i386, x86_64
 spacewalk21-server-fedora18: i386, x86_64
 spacewalk21-server-fedora19: i386, x86_64
 spacewalk21-server-fedora20: i386, x86_64
 spacewalk21-server-oraclelinux5: i386, x86_64
 spacewalk21-server-oraclelinux6: i386, x86_64
 spacewalk21-server-scientific6: i386, x86_64

Expected results:
in addition to above channels, include also "spacewalk22-*" channels

Additional info:
to fix it, simply include the needed channels definition at 
/etc/rhn/spacewalk-common-channels.ini and pack it on spacewalk-utils rpm.

Comment 1 Grant Gainey 2015-03-24 18:34:58 UTC
This was fixed just post the 2.2 release and never rebuilt
spacewalk.github e62c381a407737df32a285057dbc0e7937cea52d

spacewalk.github 2fc96e8568d17b6947fd0edb5e313b78bac03182
Adds the spacewalk23 channels

Comment 2 Grant Gainey 2015-04-14 19:04:07 UTC
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23


Note You need to log in before you can comment on or make changes to this bug.